<!DOCTYPE html>
<html>

<head>

<meta charset="utf-8" />
<title>shortcuts</title>

<link rel="stylesheet" href="../style.css" type="text/css" />

<link rel="stylesheet" href="../navbar.css" type="text/css" />


<link rel="stylesheet" href="../local.css" type="text/css" />










</head>
<body>

<article class="page">

<section class="pageheader">
<header class="header" style="width: 100%">
<span style="width: 50px; float: left; padding-right: 10px;">
<img src="../images/logo-debian.png" width="50" height="61">
</span>
<span style="float: right; width: 147px; padding-left: 10px;">
<a href="http://lca2015.linux.org.au"><img src="../images/logo-lca2015.png" style="padding-right: 10px;"></a>
</span>
<span style="float: left;">
<span class="parentlinks">


<a href="../">LCA2015 Debian Miniconf & NZ2015 mini-DebConf</a>/ 


</span>
<span class="title">
shortcuts

</span>
</span>



</header>









</section>



<aside class="sidebar">


<div><div class="calendar"><table class="month-calendar">
    <tr>
    <th class="month-calendar-arrow"></th>
    <th class="month-calendar-head" colspan="5">February 2015</th>
    <th class="month-calendar-arrow"></th>
    </tr>
    <tr>
        <th class="month-calendar-day-head Sunday" title="Sunday">S</th>
        <th class="month-calendar-day-head Monday" title="Monday">M</th>
        <th class="month-calendar-day-head Tuesday" title="Tuesday">T</th>
        <th class="month-calendar-day-head Wednesday" title="Wednesday">W</th>
        <th class="month-calendar-day-head Thursday" title="Thursday">T</th>
        <th class="month-calendar-day-head Friday" title="Friday">F</th>
        <th class="month-calendar-day-head Saturday" title="Saturday">S</th>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">1</td>
        <td class="month-calendar-day-nolink Monday">2</td>
        <td class="month-calendar-day-nolink Tuesday">3</td>
        <td class="month-calendar-day-nolink Wednesday">4</td>
        <td class="month-calendar-day-nolink Thursday">5</td>
        <td class="month-calendar-day-nolink Friday">6</td>
        <td class="month-calendar-day-nolink Saturday">7</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">8</td>
        <td class="month-calendar-day-nolink Monday">9</td>
        <td class="month-calendar-day-nolink Tuesday">10</td>
        <td class="month-calendar-day-nolink Wednesday">11</td>
        <td class="month-calendar-day-nolink Thursday">12</td>
        <td class="month-calendar-day-this-day Friday"><div class="popup">13<div class="balloon"><ul>
            <li><a href="../posts/Slides/" title="Slides">Slides</a></li>
        </ul></div></div></td>
        <td class="month-calendar-day-future Saturday">14</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">15</td>
        <td class="month-calendar-day-nolink Monday">16</td>
        <td class="month-calendar-day-nolink Tuesday">17</td>
        <td class="month-calendar-day-nolink Wednesday">18</td>
        <td class="month-calendar-day-nolink Thursday">19</td>
        <td class="month-calendar-day-nolink Friday">20</td>
        <td class="month-calendar-day-nolink Saturday">21</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">22</td>
        <td class="month-calendar-day-nolink Monday">23</td>
        <td class="month-calendar-day-nolink Tuesday">24</td>
        <td class="month-calendar-day-nolink Wednesday">25</td>
        <td class="month-calendar-day-nolink Thursday">26</td>
        <td class="month-calendar-day-nolink Friday">27</td>
        <td class="month-calendar-day-nolink Saturday">28</td>
    </tr>
</table>
</div></div>


<p><a href="../archives/">Archives</a></p>

<p><a href="../tags/">Tags</a>:</p>

<ul class="list">
</ul>




</aside>



<nav id="navbar">
<!-- The navbar -->
<div class="navbar">



<div class="tabs">
 <ul>
  <li><a href="../"><span>Home</span></a></li>
  <li><a href="../About_Us/"><span>About Us</span></a></li>
  <li><a href="../Programme/"><span>Programme</span></a></li>
  <li><a href="../Accommodation/"><span>Accommodation</span></a></li>
  <li><a href="../Call_for_Presentations/"><span>CFP</span></a></li>
  <li><a href="../posts/"><span>Blog</span></a></li>
 </ul>
</div>

</div>
<span class="endNavbar"></span>
<!-- end of navbar -->

<section id="sponsors">
<h1>Sponsors</h2>
<a href="http://www.catalyst.net.nz"><img alt="Catalyst Logo" src="../images/CatalystLogoWithTagline_130w.png" width="130" height="65"></a>
</section>
</nav>


<div id="pagebody">

<section id="content" role="main">
<p>This wiki has shortcuts <strong>enabled</strong>.</p>

<p>Some examples of using shortcuts include:</p>

<pre><code>[[!google  foo]]
[[!wikipedia  War_of_1812]]
[[!debbug  12345]]
Check the [[!google  ikiwiki desc="google search for %s"]].
</code></pre>

<p>This page controls what shortcut links the wiki supports.</p>

<ul>
<li>shortcut google points to <i>https://encrypted.google.com/search?q=%s</i></li>
<li>shortcut archive points to <i>http://web.archive.org/*/%S</i></li>
<li>shortcut gmap points to <i>https://maps.google.com/maps?q=%s</i></li>
<li>shortcut gmsg points to <i>https://groups.google.com/groups?selm=%s</i></li>
<li>shortcut wikipedia points to <i>https://en.wikipedia.org/wiki/%W</i></li>
<li>shortcut wikitravel points to <i>https://wikitravel.org/en/%s</i></li>
<li>shortcut wiktionary points to <i>https://en.wiktionary.org/wiki/%s</i></li>
<li>shortcut debbug points to <i>http://bugs.debian.org/%S</i></li>
<li>shortcut deblist points to <i>https://lists.debian.org/debian-%s</i></li>
<li>shortcut debpkg points to <i>http://packages.debian.org/%s</i></li>
<li>shortcut debpkgsid points to <i>http://packages.debian.org/sid/%s</i></li>
<li>shortcut debpts points to <i>http://packages.qa.debian.org/%s</i></li>
<li>shortcut debmsg points to <i>https://lists.debian.org/msgid-search/%s</i></li>
<li>shortcut debrt points to <i>https://rt.debian.org/Ticket/Display.html?id=%s</i></li>
<li>shortcut debss points to <i>http://snapshot.debian.org/package/%s/</i>

<ul>
<li>Usage: <code>[[!debss  package]]</code> or <code>[[!debss  package/version]]</code>.  See <a href="http://snapshot.debian.org/">http://snapshot.debian.org/</a> for details.</li>
</ul>
</li>
<li>shortcut debwiki points to <i>https://wiki.debian.org/%S</i></li>
<li>shortcut fdobug points to <i>https://bugs.freedesktop.org/show_bug.cgi?id=%s</i></li>
<li>shortcut fdolist points to <i>http://lists.freedesktop.org/mailman/listinfo/%s</i></li>
<li>shortcut gnomebug points to <i>https://bugzilla.gnome.org/show_bug.cgi?id=%s</i></li>
<li>shortcut linuxbug points to <i>https://bugzilla.kernel.org/show_bug.cgi?id=%s</i></li>
<li>shortcut mozbug points to <i>https://bugzilla.mozilla.org/show_bug.cgi?id=%s</i></li>
<li>shortcut gnulist points to <i>https://lists.gnu.org/mailman/listinfo/%s</i></li>
<li>shortcut marcmsg points to <i>http://marc.info/?i=%s</i></li>
<li>shortcut marclist points to <i>http://marc.info/?l=%s</i></li>
<li>shortcut gmane points to <i>http://dir.gmane.org/gmane.%s</i></li>
<li>shortcut gmanemsg points to <i>http://mid.gmane.org/%s</i></li>
<li>shortcut cpan points to <i>http://search.cpan.org/search?mode=dist&amp;query=%s</i></li>
<li>shortcut ctan points to <i>http://tug.ctan.org/cgi-bin/ctanPackageInformation.py?id=%s</i></li>
<li>shortcut hoogle points to <i>http://haskell.org/hoogle/?q=%s</i></li>
<li>shortcut iki points to <i>http://ikiwiki.info/%S/</i></li>
<li>shortcut ljuser points to <i>http://%s.livejournal.com/</i></li>
<li>shortcut rfc points to <i>https://www.ietf.org/rfc/rfc%s.txt</i></li>
<li>shortcut c2 points to <i>http://c2.com/cgi/wiki?%s</i></li>
<li>shortcut meatballwiki points to <i>http://www.usemod.com/cgi-bin/mb.pl?%s</i></li>
<li>shortcut emacswiki points to <i>http://www.emacswiki.org/cgi-bin/wiki/%s</i></li>
<li>shortcut haskellwiki points to <i>http://haskell.org/haskellwiki/%s</i></li>
<li>shortcut dict points to <i>http://www.dict.org/bin/Dict?Form=Dict1&amp;Strategy=<em>&amp;Database=</em>&amp;Query=%s</i></li>
<li>shortcut imdb points to <i>http://imdb.com/find?q=%s</i></li>
<li>shortcut gpg points to <i>http://pgpkeys.mit.edu:11371/pks/lookup?op=vindex&amp;exact=on&amp;search=0x%s</i></li>
<li>shortcut perldoc points to <i>http://perldoc.perl.org/search.html?q=%s</i></li>
<li>shortcut whois points to <i>http://reports.internic.net/cgi/whois?whois_nic=%s&amp;type=domain</i></li>
<li>shortcut cve points to <i>https://cve.mitre.org/cgi-bin/cvename.cgi?name=%s</i></li>
<li>shortcut flickr points to <i>https://secure.flickr.com/photos/%s</i></li>
<li>shortcut man points to <i>http://manpages.debian.org/%s</i></li>
<li>shortcut ohloh points to <i>https://www.ohloh.net/p/%s</i></li>
<li>shortcut cpanrt points to <i>https://rt.cpan.org/Ticket/Display.html?id=%s</i></li>
<li>shortcut novellbug points to <i>https://bugzilla.novell.com/show_bug.cgi?id=%s</i></li>
<li>shortcut ubupkg points to <i>http://packages.ubuntu.com/%s</i></li>
<li>shortcut mozillazinekb points to <i>http://kb.mozillazine.org/%s</i></li>
<li>shortcut freebsdwiki points to <i>http://wiki.freebsd.org/%s</i></li>
<li>shortcut hackage points to <i>http://hackage.haskell.org/package/%s</i></li>
<li>shortcut pkgsrc points to <i>http://pkgsrc.se/%S</i></li>
<li>shortcut doi points to <i>http://dx.doi.org/%s</i></li>
<li>shortcut arxiv points to <i>http://arxiv.org/abs/%s</i></li>
</ul>


<p>To add a new shortcut, use the <code>shortcut</code>
<a href="../ikiwiki/directive/">directive</a>. In the url, "%s" is replaced with the
text passed to the named shortcut, after <a href="https://en.wikipedia.org/wiki/url%5Fencoding">url encoding</a>
it, and '%S' is replaced with the raw, non-encoded text.
Additionally, <code>%W</code> is replaced with the text encoded just right for
Wikipedia. The optional <code>desc</code> parameter controls the description of
the link.</p>

<p>Remember that the <code>name</code> you give the shortcut will become a new
<a href="../ikiwiki/directive/">directive</a>.  Avoid using a <code>name</code> that conflicts
with an existing directive.  These directives also accept a <code>desc</code>
parameter that will override the one provided at definition time.</p>

<p>If you come up with a shortcut that you think others might find useful,
consider contributing it to the <a href="http://ikiwiki.info/shortcuts/">shortcuts page on the ikiwiki
wiki</a>, so that future versions of
ikiwiki will include your shortcut in the standard underlay.</p>

</section>







</div>

<footer id="footer" class="pagefooter" role="contentinfo">

<nav id="pageinfo">






<nav id="backlinks">
Links:

<a href="../ikiwiki/formatting/">ikiwiki/formatting</a>


</nav>






<div class="pagedate">
Last edited <time datetime="2014-09-26T22:55:09Z">Sat 27 Sep 2014 10:55:09 NZST</time>
<!-- Created <time datetime="2014-09-26T22:55:09Z" pubdate="pubdate">Sat 27 Sep 2014 10:55:09 NZST</time> -->
</div>

</nav>


<!-- from LCA2015 Debian Miniconf & NZ2015 mini-DebConf -->
</footer>

</article>

</body>
</html>
